Bug 123054 - textproc/xmlto - broken on 7-RELEASE
textproc/xmlto - broken on 7-RELEASE
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pietro Cerutti
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 18:10 UTC by chess
Modified: 2008-05-07 10:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description chess 2008-04-24 18:10:00 UTC
I just built the updated textproc/xmlto on a 7-RELEASE tinderbox and it failed to build.  I tested it 3 times with same results.  Ports are fully updated.

Here the end of the tinderbox log (can provide a link to the full log if needed):

configure: creating ./config.status
config.status: creating Makefile
config.status: creating xmlto
config.status: WARNING:  xmlto.in seems to ignore the --datarootdir setting
config.status: creating xmlto.spec
config.status: creating config.h
config.status: executing depfiles commands
===>  Building for xmlto-0.0.20
make  all-am
depbase=`echo xmlif/xmlif.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; cc -DHAVE_CONFIG_H -I.      -O2 -fno-strict-aliasing -pipe -MT xmlif/xmlif.o -MD -MP -MF $depbase.Tpo -c -o xmlif/xmlif.o xmlif/xmlif.c && mv -f $depbase.Tpo $depbase.Po
cc  -O2 -fno-strict-aliasing -pipe   -o xmlif/xmlif xmlif/xmlif.o  
for xml in xmlif.xml xmlto.xml; do  FORMAT_DIR=./format  /usr/local/bin/bash ./xmlto -o man/man1 man ./doc/$xml ;  done || ( RC=$?; cat ./FAQ; exit $RC )
Note: meta source : No productname or alternative       xmlif
Note: meta source : No refmiscinfo@class=source         xmlif
Note: meta version: No productnumber or alternative     xmlif
Note: meta version: No refmiscinfo@class=version        xmlif
Note: meta manual : No ancestor with title              xmlif
Note: meta manual : No refmiscinfo@class=manual         xmlif
Note: Writing xmlif.1
Note: meta version: No productnumber or alternative     xmlto
Note: meta version: No refmiscinfo@class=version        xmlto
Note: Writing xmlto.1

Q: I'm trying to build xmlto on my Debian box, but it doesn't work.

A: If you get `Attempt to load network entity' errors when building
   xmlto, your system does not have the required support for XML
   Catalogs
   (http://www.oasis-open.org/committees/entity/spec-2001-08-06.html).
   In particular, Debian has no support for these.  Try the Fedora
   Project <http://fedoraproject.org>.
*** Error code 1

Stop in /work/a/ports/textproc/xmlto/work/xmlto-0.0.20.
*** Error code 1

Stop in /work/a/ports/textproc/xmlto/work/xmlto-0.0.20.
*** Error code 1

Stop in /a/ports/textproc/xmlto.
================================================================
build of /usr/ports/textproc/xmlto ended at Thu Apr 24 17:04:11 UTC 2008

How-To-Repeat: Build textproc/xmlto
Comment 1 pav freebsd_committer 2008-04-25 15:21:32 UTC
Do you know how to fix it?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

As I understand it the M25 marks the border between culture and agriculture.
Comment 2 Martin Wilke freebsd_committer 2008-04-25 16:54:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gahr

gahr will fix this.
Comment 3 alexbl freebsd_committer 2008-05-07 09:31:45 UTC
Hey,

So you can fix this by editing format/docbook/man and changing cp -a to cp -PpR
which seems to be the equivalent to linux's -a.

Alex
Comment 4 dfilter freebsd_committer 2008-05-07 10:23:17 UTC
gahr        2008-05-07 09:23:11 UTC

  FreeBSD ports repository

  Modified files:
    textproc/xmlto       Makefile 
  Log:
  - Unbreak
  
  PR:             123054
  Submitted by:   Chess Griffin <chess@chessgriffin.com>
                  Alexander Botero-Lowry <alexbl@FreeBSD.org>
  Approved by:    miwi (mentor)
  
  Revision  Changes    Path
  1.17      +4 -2      ports/textproc/xmlto/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Pietro Cerutti freebsd_committer 2008-05-07 10:24:02 UTC
State Changed
From-To: open->closed

Committed. Thanks!